package com.xy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xy.entity.DeviceCharging;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 设备计费表 Mapper 接口
 * </p>
 *
 * @author lijin
 * @since 2023-04-14
 */
public interface DeviceChargingMapper extends BaseMapper<DeviceCharging> {

    /**
     * 扣除设备服务费试用天数
     *
     * @return
     */
    @Select("update device_charging set charging_x = charging_x - 1 where charging_x > 0")
    int updateChargingX();
}
